Bug 1005223 - New kickstart files are needed on the partner's ftp server
New kickstart files are needed on the partner's ftp server
Status: NEW
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (distribution) (Show other bugs)
1.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 09:13 EDT by Greg Nichols
Modified: 2016-07-05 14:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart files (4.25 KB, application/x-redhat-package-manager)
2013-09-06 09:13 EDT, Greg Nichols
no flags Details

  None (edit)
Description Greg Nichols 2013-09-06 09:13:36 EDT
Created attachment 794722 [details]
kickstart files

Description of problem:

I've updated and attached the kickstart files that can be used to install RHEL 5 and RHEL 6 systems under test and RHEL 6 test servers. Could you put them on the FTP site for us? We'd like to store them in this directory

ftp://partners.redhat.com/a166eabc5cf5df158922f9b06e5e7b21/hwcert/kickstarts/

and use symlinks to keep things neat for users. Here's how I'd like to symlink the files:

- rhel6-server-20130905.ks should be symlinked to rhel6-server.ks
- rhel5-x86_64-client-20130905.ks should be symlinked to rhel5-x86_64-client.ks
- rhel5-i386-client-20130905.ks should be symlinked to rhel5-i386-client.ks
- rhel6-x86_64-client-20130905.ks should be symlinked to rhel6-x86_64-client.ks
- rhel6-i386-client-20130905.ks should be symlinked to rhel6-i386-client.ks 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Greg Nichols 2013-09-06 09:16:22 EDT
We also pack kickstart files into the hwcert-client rpm (installed under /usr/share/hwcert/kickstart).    Should these new files go there as well?

Also, should they be divided by version (1.5 vs. 1.6)?   Perhaps all of them should go into the hwcert-server rpm and be installed under /var/www/hwcert/kickstart?
Comment 2 Rob Landry 2013-09-06 15:20:30 EDT
(In reply to Greg Nichols from comment #1)
> We also pack kickstart files into the hwcert-client rpm (installed under
> /usr/share/hwcert/kickstart).    Should these new files go there as well?
> 
> Also, should they be divided by version (1.5 vs. 1.6)?   Perhaps all of them
> should go into the hwcert-server rpm and be installed under
> /var/www/hwcert/kickstart?

I second the latter; I think they could all live in the hwcert-server package together.
Comment 3 Gary Case 2013-09-11 13:31:30 EDT
I'm wondering if we want to even ship them in the RPM file. If we need to make updates to the kickstarts, we'd have to roll new versions of the RPM files, which entails QA etc. If they were only on the FTP server, we could change them any time we wanted to. That being said, I'm not really sure why we'd need to update them between releases of the hwcert packages.

Note You need to log in before you can comment on or make changes to this bug.